require_relative '../lib/text.rb'

describe Text do
	it "should be able to replace text in file" do
		FileUtils.mkdir('tmp') if(!File.exists?('tmp'))
		File.open('tmp/test.txt','w'){|f|
			f.write("test thing")
		}
		Text.replace_in_file('tmp/test.txt','thing','string')
		expect(IO.read('tmp/test.txt').include?('test string')).to eq(true)

		FileUtils.cp('spec/sln-vs12-example/csharp-library/csharp-library.cs','tmp/csharp-library.cs')
		Text.replace_in_file('tmp/csharp-library.cs','Test','Test2')
	end
end